ScanopyScanopy
IP Addresses

List all IP Addresses

GET
/api/v1/ip-addresses

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

host_id?|

Filter by host ID

subnet_id?|

Filter by subnet ID

network_id?|

Filter by network ID

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

at?|

As-of timestamp (ISO 8601). When set, returns SCD2 state as of this instant (snapshot view) instead of live state.

Response Body

application/json

curl -X GET "https://example.com/api/v1/ip-addresses"
{
  "data": [
    {
      "created_at": "2026-01-15T10:30:00Z",
      "first_discovery_id": null,
      "host_id": "550e8400-e29b-41d4-a716-446655440003",
      "id": "550e8400-e29b-41d4-a716-446655440005",
      "ip_address": "192.168.1.100",
      "last_discovery_id": null,
      "last_seen_at": "2026-01-15T10:30:00Z",
      "lineage_id": null,
      "mac_address": "DE:AD:BE:EF:CA:FE",
      "mac_address_source": "ArpReply",
      "name": "eth0",
      "network_id": "550e8400-e29b-41d4-a716-446655440002",
      "position": 0,
      "subnet_id": "550e8400-e29b-41d4-a716-446655440004",
      "updated_at": "2026-01-15T10:30:00Z",
      "valid_from": "2026-01-15T10:30:00Z",
      "valid_to": null
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.17.13"
  },
  "success": true,
  "error": "string"
}